Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025167
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-11-15 13:112013-12-20 15:10
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision8d4d37d92ab4
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025167: Sometimes Web POS is not getting a valid price list version

DescriptionSometimes Web POS is not getting a valid price list version

If you have some price list version created the same day with same valid from date but only one active the query that we are executing can get wrong price list version
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062146)
hgbot (developer)
2013-11-15 13:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8d4d37d92ab42bec04fddc7674d00a806163fcce
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Nov 15 13:12:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]

Fixes issue 25167: Sometimes Web POS is not getting a valid price list version

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0062204)
hgbot (developer)
2013-11-18 12:56

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 8d4d37d92ab42bec04fddc7674d00a806163fcce
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Nov 15 13:12:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]

Fixes issue 25167: Sometimes Web POS is not getting a valid price list version

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0062299)
guilleaer (developer)
2013-11-21 10:04

verified
(0062572)
hgbot (developer)
2013-12-05 12:12

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 8d4d37d92ab42bec04fddc7674d00a806163fcce
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Nov 15 13:12:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]

Fixes issue 25167: Sometimes Web POS is not getting a valid price list version

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0062635)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062900)
hgbot (developer)
2013-12-19 19:46

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 8d4d37d92ab42bec04fddc7674d00a806163fcce
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Nov 15 13:12:52 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]

Fixes issue 25167: Sometimes Web POS is not getting a valid price list version

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0063008)
guilleaer (developer)
2013-12-20 15:10

reclosed

- Issue History
Date Modified Username Field Change
2013-11-15 13:11 jecharri New Issue
2013-11-15 13:11 jecharri Assigned To => marvintm
2013-11-15 13:11 jecharri Triggers an Emergency Pack => No
2013-11-15 13:12 hgbot Checkin
2013-11-15 13:12 hgbot Note Added: 0062146
2013-11-15 13:12 hgbot Status new => resolved
2013-11-15 13:12 hgbot Resolution open => fixed
2013-11-15 13:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]
2013-11-18 12:56 hgbot Checkin
2013-11-18 12:56 hgbot Note Added: 0062204
2013-11-18 12:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]
2013-11-21 10:04 guilleaer Review Assigned To => guilleaer
2013-11-21 10:04 guilleaer Note Added: 0062299
2013-11-21 10:04 guilleaer Status resolved => closed
2013-11-21 10:04 guilleaer Fixed in Version => RMP29
2013-12-05 12:12 hgbot Checkin
2013-12-05 12:12 hgbot Note Added: 0062572
2013-12-05 12:12 hgbot Status closed => resolved
2013-12-05 12:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]
2013-12-05 17:21 guilleaer Note Added: 0062635
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:46 hgbot Checkin
2013-12-19 19:46 hgbot Note Added: 0062900
2013-12-19 19:46 hgbot Status closed => resolved
2013-12-19 19:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/8d4d37d92ab42bec04fddc7674d00a806163fcce [^]
2013-12-20 15:10 guilleaer Note Added: 0063008
2013-12-20 15:10 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker